%define sendmailcf %{_datadir}/sendmail-cf

Summary:	Additional m4 files used to generate sendmail.cf
Name:		open-sendmail
Version:	0
Release:	0.4.20090107cvs%{?dist}
License:	Sendmail
Group:		System Environment/Daemons
URL:		http://open-sendmail.sourceforge.net/
# cvs -z3 -d:pserver:anonymous@open-sendmail.cvs.sourceforge.net:/cvsroot/open-sendmail co -D "20090107 23:59" open-sendmail
# find open-sendmail -type f -name .cvsignore -exec rm -f {} ';'
# find open-sendmail -type d -name CVS -exec rm -rf {} 2>/dev/null ';'
# mv -f open-sendmail open-sendmail-0
Source:		%{name}-%{version}.tar.bz2
Requires:	sendmail-cf
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Open-Sendmail is the open development of additional m4 files
used to generate and enhance sendmail.cf. The project contains
sendmail goodies previously provided at anfi.homeunix.net and
additional items.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{sendmailcf}/{feature,mailer}/%{name},%{_datadir}/%{name}}

install -p -m 644 cf/feature/anfi/*.m4 $RPM_BUILD_ROOT%{sendmailcf}/feature/%{name}/
install -p -m 644 cf/mailer/anfi/*.m4 $RPM_BUILD_ROOT%{sendmailcf}/mailer/%{name}/
install -p -m 644 cf/m4/*.patch $RPM_BUILD_ROOT%{_datadir}/%{name}/

ln -sf %{name}/require_rdns.m4 $RPM_BUILD_ROOT%{sendmailcf}/feature/require_rdns2.m4

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc cf/INSTALL.rtcyrus3 cf/MC.rtcyrus3
%{sendmailcf}/feature/require_rdns2.m4
%{sendmailcf}/feature/%{name}/
%{sendmailcf}/mailer/%{name}/
%{_datadir}/%{name}/

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.4.20090107cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.3.20090107cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.2.20090107cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Oct 31 2010 Robert Scheck <robert@fedoraproject.org> 0-0.1.20090107cvs
- Upgrade to CVS 20090107
- Initial spec file for Fedora and Red Hat Enterprise Linux
